summaryrefslogtreecommitdiffstats
path: root/graphics/fontforge/fontforge.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'graphics/fontforge/fontforge.SlackBuild')
-rw-r--r--graphics/fontforge/fontforge.SlackBuild14
1 files changed, 7 insertions, 7 deletions
diff --git a/graphics/fontforge/fontforge.SlackBuild b/graphics/fontforge/fontforge.SlackBuild
index ccb3d7a28f..c000ae00a3 100644
--- a/graphics/fontforge/fontforge.SlackBuild
+++ b/graphics/fontforge/fontforge.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for fontforge
-# Copyright 2006,2007,2008,2009,2010 Robby Workman Northport, Alabama, USA
+# Copyright 2006-20110 Robby Workman Northport, Alabama, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,12 +23,12 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=fontforge
-VERSION=20100501
+VERSION=20110222
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-ENABLE_BCINT=${ENABLE_BCINT:-no}
-FREETYPE=${FREETYPE:-"2.3.12"}
+ENABLE_BCINT=${ENABLE_BCINT:-yes}
+FREETYPE=${FREETYPE:-"2.4.4"}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -66,7 +66,7 @@ mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION freetype-$FREETYPE
tar xvf $CWD/${PRGNAM}_full-${VERSION}.tar.bz2
-tar xvf $CWD/freetype-$FREETYPE.tar.xz
+tar xvf $CWD/freetype-$FREETYPE.tar.bz2
chown -R root:root $PRGNAM-$VERSION freetype-$FREETYPE
chmod -R u+w,go+r-w,a-s $PRGNAM-$VERSION freetype-$FREETYPE
cd $PRGNAM-$VERSION
@@ -97,8 +97,8 @@ tar xvf $CWD/cidmaps.tgz -C $PKG/usr/share/fontforge || exit 1
chmod 0644 $PKG/usr/share/fontforge/*.cidmap
chown root:root $PKG/usr/share/fontforge/*.cidmap
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | \
+ grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find $PKG/usr/man -type f -exec gzip -9 {} \;